Loading...
Searching...
No Matches
matching.h File Reference
Algorithms » Matching Algorithms
`#include <vector>`
`#include <queue>`
`#include <set>`
`#include <limits>`
`#include <lemon/core.h>`
`#include <lemon/unionfind.h>`
`#include <lemon/bin_heap.h>`
`#include <lemon/maps.h>`
`#include <lemon/fractional_matching.h>`

## Classes

class | MaxMatching< GR >
| Maximum cardinality matching in general graphs. More...
class | MaxWeightedMatching< GR, WM >
| Weighted matching in general graphs. More...
class | MaxWeightedMatching< GR, WM >::BlossomIt
| Iterator for obtaining the nodes of a blossom. More...
class | MaxWeightedPerfectMatching< GR, WM >
| Weighted perfect matching in general graphs. More...
class | MaxWeightedPerfectMatching< GR, WM >::BlossomIt
| Iterator for obtaining the nodes of a blossom. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.